name: algo-avancee

channels:
- conda-forge
- nodefaults

dependencies:
- python>=3.11
- make
- conda
- mamba
- git

##############################################################################
# JupyterLab

- jupyterlab>=4
- jupyterlab-language-pack-fr-FR
- nbgitpuller

# Interactive widgets
- jupyterlab_widgets # >=3.0.5
- ipywidgets # >=8
- ipylab
- jupyter_app_launcher         # for launching the dashboards as applications
- ipydatagrid                  # for the instructor dashboard
- ipympl                       # for interactive matplotlib

# jupyterlab non critical extensions
- jupyter-resource-usage
- jupyterlab-git
- jupyterlab_code_formatter
- jupyter_console              # for image CI tests

##############################################################################
# Authoring and teaching tools
- jupytext
- jupyterlab-myst>=2.1.0
- jupyter-book
- mystmd
- nodejs
- nbgrader>=0.9.1
- travo

##############################################################################
# For computations
- numpy
- networkx >= 2.4
- bqplot
- ipydatagrid

##############################################################################
# For code validation
- ruff
- mypy
- types-setuptools
- typeguard
- pytest

##############################################################################
# chatbot
- jupyter-ai<2.29              # jupyter-aristote-ai needs to be upgraded for jupyter-ai 2.29 and pydantic 2
- langchain-openai

# Misc
- tqdm

##############################################################################
- pip
- pip:
    - jupyterlab-slideshow
    - sphinx-proof
    - delpywidget
    - git+https://gitlab.dsi.universite-paris-saclay.fr/nicolas.thiery/GraphAlgorithmPlayer.git
    - git+https://gitlab.dsi.universite-paris-saclay.fr/nicolas.thiery/ValuePlayerWidget.git
    - git+https://gitlab.in2p3.fr/chiara.marmo/learningtraces-ext.git@v0.4.3
    - "git+https://gitlab.dsi.universite-paris-saclay.fr/jupyterhub-paris-saclay/jupyter-ai-aristote.git"
    - .
